export const DefaultGuardianAuthConfig = {
    providers: {
        credentials: {
            enabled: true,
            allowRegistration: true
        }
    },
    security: {
        level: 'moderate',
        maxLoginAttempts: 5,
        lockoutDuration: 15 * 60 * 1000, // 15 minutes
        twoFactor: {
            enabled: false
        },
        passwordPolicy: {
            minLength: 12,
            requireUppercase: true,
            requireNumbers: true,
            requireSpecialChars: true
        }
    },
    events: {},
    logging: {
        enabled: true,
        level: 'info',
        destinations: [{ type: 'console' }]
    }
};
